Skip to content

Api Gateway  >  Operations  >  get_deployment

get_deployment

Operation

get_deployment async

get_deployment(input: GetDeploymentInput, plugins: list[Plugin] | None = None) -> GetDeploymentOutput

Gets information about a Deployment resource.

Parameters:

Name Type Description Default
input GetDeploymentInput

An instance of GetDeploymentInput.

required
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
GetDeploymentOutput

An instance of GetDeploymentOutput.

Input

GetDeploymentInput dataclass

Requests API Gateway to get information about a Deployment resource.

Attributes

deployment_id class-attribute instance-attribute
deployment_id: str | None = None

The identifier of the Deployment resource to get information about.

embed class-attribute instance-attribute
embed: list[str] | None = None

A query parameter to retrieve the specified embedded resources of the returned Deployment resource in the response. In a REST API call, this embed parameter value is a list of comma-separated strings, as in GET /restapis/{restapi_id}/deployments/{deployment_id}?embed=var1,var2. The SDK and other platform-dependent libraries might use a different format for the list. Currently, this request supports only retrieval of the embedded API summary this way. Hence, the parameter value must be a single-valued list containing only the "apisummary" string. For example, GET /restapis/{restapi_id}/deployments/{deployment_id}?embed=apisummary.

rest_api_id class-attribute instance-attribute
rest_api_id: str | None = None

The string identifier of the associated RestApi.

Output

GetDeploymentOutput dataclass

An immutable representation of a RestApi resource that can be called by users using Stages. A deployment must be associated with a Stage for it to be callable over the Internet.

Attributes

api_summary class-attribute instance-attribute
api_summary: dict[str, dict[str, MethodSnapshot]] | None = None

A summary of the RestApi at the date and time that the deployment resource was created.

created_date class-attribute instance-attribute
created_date: datetime | None = None

The date and time that the deployment resource was created.

description class-attribute instance-attribute
description: str | None = None

The description for the deployment resource.

id class-attribute instance-attribute
id: str | None = None

The identifier for the deployment resource.